# Setting | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface Setting

interface Setting {
activatable ?: boolean;
default : number;
isHidden ?: () => boolean;
key : string;
label : string;
options : SettingOption[];
requireReload ?: boolean;
type : SettingType ;
}

- Defined in src/system/settings/settings.ts:119
- Defined in src/system/settings/settings.ts:189

##### Index

### Properties

activatable?
default
isHidden?
key
label
options
requireReload?
type

## Properties

### `Optional` activatable

activatable?: boolean

Whether the setting can be activated or not

- Defined in src/system/settings/settings.ts:127

### default

default: number

- Defined in src/system/settings/settings.ts:123

### `Optional` isHidden

isHidden?: () => boolean

Determines whether the setting should be hidden from the UI

- Defined in src/system/settings/settings.ts:129

### key

key: string

- Defined in src/system/settings/settings.ts:120

### label

label: string

- Defined in src/system/settings/settings.ts:121

### options

options: SettingOption[]

- Defined in src/system/settings/settings.ts:122

### `Optional` requireReload

requireReload?: boolean

- Defined in src/system/settings/settings.ts:125

### type

type: SettingType

- Defined in src/system/settings/settings.ts:124